Name: spf-milter 
Version: 1.30
Release: 1.RE9
Group: Applications/System
Source0: http://spf.pobox.com/sendmail-milter-spf-%{version}.pl
Source1: http://spf.pobox.com/sendmail-milter-INSTALL.txt
Source2: spf-milter.init
Source3: spf-milter.sysconfig
Patch0: sendmail-milter-spf.pl.patch
URL: http://spf.pobox.com/downloads.html
License: GPL
BuildArch: noarch
PreReq: perl-Mail-SPF-Query >= 1.99 perl-Sendmail-Milter >= 0.18
PreReq: sendmail >= 8.12 perl > 5.8
BuildRoot: %{_tmppath}/%{name}-root
Summary: A Milter which provides an SPF-compliant extension to Sendmail.

%description
spf-milter is a Milter, which works with Sendmail 8.12 and up, and provides
an SPF-compliant extension to the SMTP communication between your MTA and
connecting clients. See http://spf.pobox.com/ for details about SPF itself.

spf-milter is written entirely in Perl, and uses the native threaded Milter
model. spf-milter is licensed under GPL.

Please read /usr/share/doc/%{name}-%{version}/README to learn what needs to
be done to enable this milter.

%prep
cd ${RPM_BUILD_DIR}
rm -rf %{name}
mkdir %{name}
cd %{name}
cp %{SOURCE0} sendmail-milter-spf.pl
%patch

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_sbindir}
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig

install -m 0755 ${RPM_BUILD_DIR}/%{name}/sendmail-milter-spf.pl ${RPM_BUILD_ROOT}%{_sbindir}/sendmail-milter-spf.pl
install -m 0755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/spf-milter
install -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/spf-milter

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ `grep -c "^milter:" /etc/passwd` -eq "0" ]; then
 useradd -M -c "Sendmail Milter User" -d /var/run/spf-milter -s /sbin/nologin milter
fi

%post
chkconfig --add spf-milter

%preun
# Only if we are not upgrading...
if [ "$1" -eq "0" ]; then
 service spf-milter stop >/dev/null 2>$1 || :
 service sendmail stop >/dev/null 2>$1 || :
 chkconfig --del spf-milter
 echo "Remove the milter lines from /etc/mail/sendmail.mc."
fi

%postun
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
 service spf-milter condrestart >/dev/null 2>&1 || :
else
 userdel milter 2>/dev/null || :
 groupdel milter 2>/dev/null || :
fi

%files
%defattr(-,root,root)
%doc ${RPM_SOURCE_DIR}/sendmail-milter-INSTALL.txt ${RPM_SOURCE_DIR}/README
%{_sbindir}/sendmail-milter-spf.pl
%{_sysconfdir}/rc.d/init.d/spf-milter
%config %{_sysconfdir}/sysconfig/spf-milter

%changelog
* Sat Feb 07 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org>
- first package release

